Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.storeconfig
Interface IStoreFactory

All Known Implementing Classes:
  StoreFactoryBase

public interface IStoreFactory

Author:
  Peter Rossbach

Method Summary
`StoreRegistry` | `getRegistry()`
`StoreAppender` | `getStoreAppender()`
`void` | `setRegistry(StoreRegistry aRegistry)`
`void` | `setStoreAppender(StoreAppender storeWriter)`
`void` | `store(java.io.PrintWriter aWriter, int indent, java.lang.Object aElement)`
`void` | `storeXMLHead(java.io.PrintWriter aWriter)`

Method Detail

### getStoreAppender

    public StoreAppender getStoreAppender()

### setStoreAppender

    public void setStoreAppender(StoreAppender storeWriter)

### setRegistry

    public void setRegistry(StoreRegistry aRegistry)

### getRegistry

    public StoreRegistry getRegistry()

### store

    public void store(java.io.PrintWriter aWriter,
                      int indent,
                      java.lang.Object aElement)
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### storeXMLHead

    public void storeXMLHead(java.io.PrintWriter aWriter)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.